
window.onload = function() {
  init();
};
const Toast = Swal.mixin({
  toast: true,
  position: 'top-end',
  showConfirmButton: false,
  timer: 2000,
  timerProgressBar: true,
  onOpen: (toast) => {
    toast.addEventListener('mouseenter', Swal.stopTimer)
    toast.addEventListener('mouseleave', Swal.resumeTimer)
  }
})

function init() {
    populate('#passwordlen');
    
    $( "#generate" ).click(function() {
        var passwordlen = Number($('#passwordlen').val());
        
        if(passwordlen === 0) {
        Toast.fire({
  icon: 'error',
  title: 'Hãy chọn password length'
})
            return;
        }
        
        var pass = makeid(passwordlen);
        
        if(!pass) {
            return;
        }
        
        $('#newpass').val(pass);
        
        var length = pass.length;
        
        if(length <= 10) {
            $('#length').html(" Yếu ( &#9747; )");
            $("#length").css("color", "red");
        } else if(length > 10 && length <= 20) {
            $('#length').html(" Mạnh ( &#9786; )");
            $("#length").css("color", "blue");
        } else {
            $('#length').html(" Mạnh nhất ( &#10004; )");
            $("#length").css("color", "green");
        }
        
        
        if ($('#autoSelect').is(":checked")) {
            var input = document.getElementById('newpass');
            input.select();
            Toast.fire({
  icon: 'success',
  title: 'Succes ! Đã coppy vào bộ nhớ tạm'
  })
        }else{
        Toast.fire({
  icon: 'success',
  title: 'Signed in successfully'
}) }
        autocopyPassword();
    });
    
    $( "#autoSelect" ).click(function() {
        if ($('#autoSelect').is(":checked")) {
            var input = document.getElementById('newpass');
            input.focus();
            input.select();
        }
    });
    

function populate(selector) {
    var i = 1;
    
    while (i <= 50) {
        $(selector).append('<option value="'+ i +'">'+ i +'</option>');
        i++;
    }
}

function makeid(length) {
   var result           = '';
   var characters       = '';
   var count            = 0;
   var symbols          = '@#$%^&*!~()_+=[]{};"/.?<>:';
   var numbers          = '0123456789';
   var uppercase        = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
   var lowercase        = 'abcdefghijklmnopqrstuvwxyz';
   var ambiguous        = '';
   
   if ($('#symbols').is(":checked")) {
        characters      += symbols;
        count++;
   }
   
   if ($('#numbers').is(":checked")) {
        characters      += numbers;
        count++;
   }
   
   if ($('#lowercase').is(":checked")) {
        characters      += lowercase;
        count++;
   }
   
   if ($('#uppercase').is(":checked")) {
        characters      += uppercase;
        count++;
   }
   
   if(count === 0) {
       Toast.fire({
  icon: 'error',
  title: 'Hãy chọn một option'
  });
       return false;
   }
   
   var charactersLength = characters.length;
   
   for ( var i = 0; i < length; i++ ) {
      result += characters.charAt(Math.floor(Math.random() * charactersLength));
      
      if ($('#exclude').is(":checked")) {
        result      = result.replace('{}', '}');
        result      = result.replace('()', ')');
        result      = result.replace('[]', ']');
        result      = result.replace('<>', '>');
        result      = result.replace('~', '');
        result      = result.replace(';', '');
      }
   }
   
   return result;
}

function autocopyPassword() {
  var copyText = document.getElementById("newpass");
  copyText.setSelectionRange(0, 99999);
  document.execCommand("copy");
}
}
